gSOAP UDDI v2: uddi2__get_USCOREserviceDetail Class Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__get_USCOREserviceDetail Class Reference

Schema urn:uddi-org:api_v2:"get_serviceDetail". More...

`#include <uddi_v2.h>`

List of all members.

## Public Member Functions
| uddi2__get_USCOREserviceDetail (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__get_USCOREserviceDetail (struct soap *, const char *serviceKey)
| Member declared in uddi2-typemap.dat.
| uddi2__get_USCOREserviceDetail (struct soap *, std::vector< char * > serviceKeys)
| Member declared in uddi2-typemap.dat.
uddi2__serviceDetail * | send (const char *endpoint)
| Member declared in uddi2-typemap.dat.
## Public Attributes
std::vector< uddi2__serviceKey > | serviceKey
| Vector of uddi2__serviceKey with length 0..unbounded.
char * | generic
| Attribute generic of type xs:string.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"get_serviceDetail".

Represents a request to get service details from a UDDI server.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137720

## Constructor & Destructor Documentation

uddi2__get_USCOREserviceDetail::uddi2__get_USCOREserviceDetail | ( | struct soap * | soap | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
Creates an instance of the get_USCOREserviceDetail class.

uddi2__get_USCOREserviceDetail::uddi2__get_USCOREserviceDetail | ( | struct soap * | soap,
|  | const char * | serviceKey
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | serviceKey | string
Creates an instance of the get_USCOREserviceDetail class using the specified service key.

uddi2__get_USCOREserviceDetail::uddi2__get_USCOREserviceDetail | ( | struct soap * | soap,
|  | std::vector< char * > | serviceKeys
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | serviceKeys | collection of key strings
Creates an instance of the get_USCOREserviceDetail class using the specified collection of service keys.

## Member Function Documentation

uddi2__serviceDetail * uddi2__get_USCOREserviceDetail::send | ( | const char * | endpoint | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | endpoint | URL of the UDDI server
Returns: A pointer to a uddi2__serviceDetail object or NULL on error Send a request to a UDDI server to get the service details.

## Member Data Documentation

char* uddi2__get_USCOREserviceDetail::generic

| Attribute generic of type xs:string. Required attribute

std::vector<uddi2__serviceKey > uddi2__get_USCOREserviceDetail::serviceKey

| Vector of uddi2__serviceKey with length 0..unbounded.

struct soap* uddi2__get_USCOREserviceDetail::soap

| A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h